# List Query

## Query History

You can use this endpoint to query the user's history of creating, adding, and removing liquidity from pools. The `txid` provided can be used to check the on-chain transaction status in the mempool.

## POST /api/pool/liquid/history

> Liquidity operation history

```json
{"openapi":"3.0.1","info":{"title":"Backend API","version":"1.0.0"},"tags":[{"name":"DotSwap Nexus Pool History"}],"servers":[{"url":"http://127.0.0.1:8090","description":"Localhost"}],"paths":{"/api/pool/liquid/history":{"post":{"summary":"Liquidity operation history","deprecated":false,"description":"","tags":["DotSwap Nexus Pool History"],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"page":{"type":"integer"},"page_size":{"type":"integer"},"address":{"type":"string","title":"Ordinals address"},"tick1":{"type":"string"},"tick2":{"type":"string"},"coin_type_1":{"type":"string"},"coin_type_2":{"type":"string"}},"required":["page","page_size","tick1","coin_type_1","tick2","coin_type_2","address"]}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"msg":{"type":"string"},"data":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"tick1":{"type":"object","properties":{"coin_type":{"type":"string"},"tick":{"type":"string"},"token_id":{"type":"string"}},"required":["coin_type","tick","token_id"]},"tick2":{"type":"object","properties":{"coin_type":{"type":"string"},"tick":{"type":"string"},"token_id":{"type":"string"}},"required":["coin_type","tick","token_id"]},"tick1_amount":{"type":"string"},"tick2_amount":{"type":"string"},"op":{"type":"integer","title":"Operation","enum":[0,1,2]},"status":{"type":"integer","title":"Status","enum":[0,1,2,3,4,5,6,7]},"time_at":{"type":"integer","title":"Time"},"address":{"type":"string"},"order_id":{"type":"string"}},"required":["tick1","tick2","tick1_amount","tick2_amount","status","time_at","address","order_id","op"]}},"total":{"type":"integer"}},"required":["items","total"]},"req_id":{"type":"string"}},"required":["code","msg","data","req_id"]}}}}}}}}}
```

1. The list returns an array `txs`. The `txid` field within this array is the transaction hash, which can be used to query the transaction status. Any `status` other than `confirmed` means the transaction is unconfirmed.
2. When adding liquidity fails, the `refundable` field will be `true`, indicating that a refund is possible; otherwise, it will be `false`. {% endhint %}

Use this endpoint to query the history of swaps executed on Dotswap.

## POST /api/pool/liquid/swap\_histories

> Pair swap history

```json
{"openapi":"3.0.1","info":{"title":"Backend API","version":"1.0.0"},"tags":[{"name":"DotSwap Nexus Pool History"}],"servers":[{"url":"http://127.0.0.1:8090","description":"Localhost"}],"paths":{"/api/pool/liquid/swap_histories":{"post":{"summary":"Pair swap history","deprecated":false,"description":"","tags":["DotSwap Nexus Pool History"],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"tick1":{"type":"string"},"coin_type1":{"type":"string"},"tick2":{"type":"string"},"coin_type2":{"type":"string"},"page":{"type":"integer"},"page_size":{"type":"integer"}},"required":["tick1","coin_type1","tick2","coin_type2","page","page_size"]}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"msg":{"type":"string"},"data":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"protocol":{"type":"string"},"op":{"type":"string","description":"Swap"},"tick1":{"type":"string","description":"Token 1"},"tick1_amount":{"type":"string"},"tick1_order_total_amount":{"type":"string","description":"Order total amount"},"tick2":{"type":"string","description":"Token 2"},"tick2_amount":{"type":"string"},"tick2_order_total_amount":{"type":"string","description":"Order total amount"},"time_sec":{"type":"string","description":"Time"},"status":{"type":"string","enum":["0","1","2","3"]},"revenue":{"type":"string","description":"Pool income"}},"required":["tick1_amount","tick2_amount","protocol","tick1_order_total_amount","tick2_order_total_amount","revenue"]}},"total":{"type":"integer"}},"required":["items","total"]}},"required":["code","msg","data"]}}}}}}}}}
```

## Manage Pool

## POST /api/pool/clmm/manage\_list

> CLMM--Manage Pools

```json
{"openapi":"3.0.1","info":{"title":"后端接口","version":"1.0.0"},"servers":[{"url":"http://127.0.0.1:8090","description":"本地"}],"security":[],"paths":{"/api/pool/clmm/manage_list":{"post":{"summary":"CLMM--Manage Pools","deprecated":false,"description":"","tags":[],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"page":{"type":"integer"},"page_size":{"type":"integer"},"address":{"type":"string","title":"默认ordi地址"}},"required":["page","page_size","address"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"msg":{"type":"string"},"data":{"type":"object","properties":{"total":{"type":"integer"},"items":{"type":"array","items":{"type":"object","properties":{"liquidity_pools":{"type":"array","items":{"type":"object","properties":{"price_tick_lower":{"type":"integer"},"price_tick_upper":{"type":"integer"},"tick1_amount":{"type":"string"},"tick2_amount":{"type":"string"},"tick1_fee_income":{"type":"string"},"tick2_fee_income":{"type":"string"},"liquidity":{"type":"string"}},"required":["liquidity"]}},"overview":{"type":"object","properties":{"tick1":{"type":"object","properties":{"coin_type":{"type":"string"},"tick":{"type":"string"},"token_id":{"type":"string"},"divisibility":{"type":"integer"},"icon":{"type":"string"}},"required":["coin_type","tick","token_id","divisibility","icon"]},"tick2":{"type":"object","properties":{"coin_type":{"type":"string"},"tick":{"type":"string"},"token_id":{"type":"string"},"divisibility":{"type":"integer"},"icon":{"type":"string"}},"required":["coin_type","tick","token_id","divisibility","icon"]},"tick1_amount":{"type":"string"},"tick2_amount":{"type":"string"},"lp_buy_fee_per":{"type":"string"},"lp_sell_fee_per":{"type":"string"},"tick1_total_amount":{"type":"string"},"tick2_total_amount":{"type":"string"},"tick1_available_amount":{"type":"string"},"tick2_available_amount":{"type":"string"},"auto_removed":{"type":"boolean"},"last_traded_price":{"type":"string"},"total_tick1_fee_income":{"type":"string"},"total_tick2_fee_income":{"type":"string"}},"required":["tick1","tick2","tick1_amount","tick2_amount","lp_buy_fee_per","lp_sell_fee_per","tick1_total_amount","tick2_total_amount","tick1_available_amount","tick2_available_amount","auto_removed","last_traded_price","total_tick1_fee_income","total_tick2_fee_income"]}}}}},"required":["total","items"]},"req_id":{"type":"string"}},"required":["code","msg","data","req_id"]}}},"headers":{}}}}}}}
```

## POST /api/pool/liquid/explorer

> Liquidity Pool List

```json
{"openapi":"3.0.1","info":{"title":"","version":"1.0.0"},"servers":[{"url":"http://127.0.0.1:8090","description":"Local"}],"security":[],"paths":{"/api/pool/liquid/explorer":{"post":{"summary":"Liquidity Pool List","deprecated":false,"description":"","tags":[],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"page":{"type":"integer","title":"Current Page"},"page_size":{"type":"integer","title":"Items per Page"},"tick":{"type":"string","description":"search tokens"},"lp_reward_metric":{"type":"string","description":"LP Reward Period Filter 1d,7d,30d"},"volume_metric":{"type":"string","description":"Volume Period Filter 1d,7d,30d"},"apy_metric":{"type":"string","description":"APY Period Filter 1d,7d,30d"},"sort":{"type":"string","description":"tvl，volume，lp_reward"},"desc":{"type":"boolean"}},"required":["page","page_size","tick","lp_reward_metric","volume_metric","sort","desc","apy_metric"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"msg":{"type":"string"},"data":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"tick1":{"type":"object","properties":{"coin_type":{"type":"string"},"tick":{"type":"string"},"token_id":{"type":"string"}},"required":["coin_type","tick","token_id"]},"tick2":{"type":"object","properties":{"coin_type":{"type":"string"},"tick":{"type":"string"},"token_id":{"type":"string"}},"required":["coin_type","tick","token_id"]},"tvl":{"type":"string","title":"TVL"},"volume":{"type":"string","title":"Volume"},"lp_reward":{"type":"string","title":"LP Rewards"},"lp_amount1":{"type":"string","title":"Token 1 Reward Amount"},"lp_amount2":{"type":"string","title":"Token 2 Reward Amount"},"apy":{"type":"string","title":"apy"}},"required":["tick1","tick2","tvl","volume","lp_reward","lp_amount1","lp_amount2","apy"]}},"total":{"type":"integer","title":"Total Amount"}},"required":["items","total"]},"req_id":{"type":"string"}},"required":["code","msg","data","req_id"]}}},"headers":{}}}}}}}
```

## POST /api/simplelighting/get\_sl\_asset\_overview

> Get Account Details - Maker

```json
{"openapi":"3.0.1","info":{"title":"","version":"1.0.0"},"servers":[{"url":"http://127.0.0.1:8090","description":"Local"}],"security":[],"paths":{"/api/simplelighting/get_sl_asset_overview":{"post":{"summary":"Get Account Details - Maker","deprecated":false,"description":"","tags":[],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"mod":{"type":"string","description":"taker or maker"},"payer_address":{"$ref":"#/components/schemas/addressInfo"},"payer_asset_address":{"$ref":"#/components/schemas/addressInfo"}},"required":["mod","payer_address","payer_asset_address"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"}," msg":{"type":"string"},"data":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"tick":{"type":"string"},"wallet_balance":{"type":"integer"},"channel_balance":{"type":"string"},"wallet_balance_stat_points":{"type":"array","items":{"type":"object","properties":{"balance":{"type":"integer"},"record_time":{"type":"string"}},"required":["balance","record_time"]}}},"required":["tick","wallet_balance","channel_balance","wallet_balance_stat_points"]}}},"required":["items"]}},"required":["code"," msg","data"]}}},"headers":{}}}}}},"components":{"schemas":{"addressInfo":{"type":"object","properties":{"address":{"type":"string"},"public_key":{"type":"string"}},"required":["address","public_key"]}}}}
```

## POST /api/simplelighting/get\_sl\_asset\_balance\_stat

> Get Account Balance Chart - Maker

```json
{"openapi":"3.0.1","info":{"title":"","version":"1.0.0"},"servers":[{"url":"http://127.0.0.1:8090","description":"Local"}],"security":[],"paths":{"/api/simplelighting/get_sl_asset_balance_stat":{"post":{"summary":"Get Account Balance Chart - Maker","deprecated":false,"description":"","tags":[],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"mod":{"type":"string","description":"taker or maker"},"tick":{"type":"string"},"type":{"type":"string","enum":["1D","1d","7d","7D","30d","30D"]},"payer_address":{"$ref":"#/components/schemas/addressInfo"},"payer_asset_address":{"$ref":"#/components/schemas/addressInfo"},"start_time":{"type":"integer"},"end_time":{"type":"integer"}},"required":["mod","tick","type","payer_address","payer_asset_address"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"}," msg":{"type":"string"},"data":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"balance":{"type":"string"},"record_time":{"type":"string"}},"required":["balance","record_time"]}}},"required":["items"]}},"required":["code"," msg","data"]}}},"headers":{}}}}}},"components":{"schemas":{"addressInfo":{"type":"object","properties":{"address":{"type":"string"},"public_key":{"type":"string"}},"required":["address","public_key"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.on.nexus/dotswap/developers/nexus-protocol/maker/dual-sided-pool/list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
